VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::content::LocalLibrary Interface Reference

The `LocalLibrary` interface manages local libraries. More...

Inherited by vmware::content::LocalLibraryStub.

List of all members.

## Public Member Functions
string | Create (string clientToken, vmware.content.LibraryModel createSpec)
| Creates a new local library.
string | Create (string clientToken, vmware.content.LibraryModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new local library.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.LibraryModel createSpec)
| Creates a new local library.
global::System.Threading.Tasks.Task < string > | CreateAsync (string clientToken, vmware.content.LibraryModel createSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Creates a new local library.
void | Delete (string libraryId)
| Deletes the specified local library.
void | Delete (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes the specified local library.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryId)
| Deletes the specified local library.
global::System.Threading.Tasks.Task | DeleteAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Deletes the specified local library.
vmware.content.LibraryModel | Get (string libraryId)
| Returns a given local library.
vmware.content.LibraryModel | Get (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given local library.
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId)
| Returns a given local library.
global::System.Threading.Tasks.Task < vmware.content.LibraryModel > | GetAsync (string libraryId, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns a given local library.
global::System.Collections.Generic.List < string > | List ()
| Returns the identifiers of all local libraries in the Content Library.
global::System.Collections.Generic.List < string > | List (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all local libraries in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync ()
| Returns the identifiers of all local libraries in the Content Library.
global::System.Threading.Tasks.Task < global::System.Collections.Generic.List < string > > | ListAsync (global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Returns the identifiers of all local libraries in the Content Library.
void | Update (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a local library.
void | Update (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a local library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec)
| Updates the properties of a local library.
global::System.Threading.Tasks.Task | UpdateAsync (string libraryId, vmware.content.LibraryModel updateSpec, global::System.Action< vmware.vapi.std.Progress > _progress, vmware.vapi.bindings.client.InvocationConfig _invocationConfig)
| Updates the properties of a local library.

## Detailed Description

The `LocalLibrary` interface manages local libraries.

The `LocalLibrary` interface provides support for creating and maintaining local library instances. A local library may also use the Library interface to manage general library functionality.

## Member Function Documentation

string vmware::content::LocalLibrary::Create | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec
| ) |  |

Creates a new local library.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateLocalLibrary` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new local library.

Returns:
  Identifier of the newly created LibraryModel . The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

string vmware::content::LocalLibrary::Create | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a new local library.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateLocalLibrary` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new local library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the newly created LibraryModel . The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<string> vmware::content::LocalLibrary::CreateAsync | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Creates a new local library.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateLocalLibrary` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new local library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  Identifier of the newly created LibraryModel . The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<string> vmware::content::LocalLibrary::CreateAsync | ( | string | clientToken,
|  | vmware.content.LibraryModel | createSpec
| ) |  |

Creates a new local library.

Exceptions:

  vmware.vapi.std.errors.InvalidArgument | if the createSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the clientToken does not conform to the UUID format.
  vmware.vapi.std.errors.Unsupported | if using multiple storage backings.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `ContentLibrary.CreateLocalLibrary` .

Parameters:

  clientToken | A unique token generated on the client for each creation request. The token should be a universally unique identifier (UUID), for example: `b8a2a2e3-2314-43cd-a871-6ede0f429751` . This token can be used to guarantee idempotent creation. If not specified creation is not idempotent.
  createSpec | Specification for the new local library.

Returns:
  Identifier of the newly created LibraryModel . The result will be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

void vmware::content::LocalLibrary::Delete | ( | string | libraryId | ) |

Deletes the specified local library.

Deleting a local library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

void vmware::content::LocalLibrary::Delete | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes the specified local library.

Deleting a local library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task vmware::content::LocalLibrary::DeleteAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Deletes the specified local library.

Deleting a local library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task vmware::content::LocalLibrary::DeleteAsync | ( | string | libraryId | ) |

Deletes the specified local library.

Deleting a local library will remove the entry immediately and begin an asynchronous task to remove all cached content for the library. If the asynchronous task fails, file content may remain on the storage backing. This content will require manual removal.

Exceptions:

  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.DeleteLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to delete. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

vmware.content.LibraryModel vmware::content::LocalLibrary::Get | ( | string | libraryId | ) |

Returns a given local library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the local library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance associated with libraryId .

Implemented in vmware::content::LocalLibraryStub.

vmware.content.LibraryModel vmware::content::LocalLibrary::Get | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns a given local library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the local library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance associated with libraryId .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::LocalLibrary::GetAsync | ( | string | libraryId | ) |

Returns a given local library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the local library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .

Returns:
  The LibraryModel instance associated with libraryId .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<vmware.content.LibraryModel> vmware::content::LocalLibrary::GetAsync | ( | string | libraryId,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns a given local library.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `System.Read` .

Parameters:

  libraryId | Identifier of the local library to return. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Returns:
  The LibraryModel instance associated with libraryId .

Implemented in vmware::content::LocalLibraryStub.

global::System.Collections.Generic.List<string> vmware::content::LocalLibrary::List | ( |  | ) |

Returns the identifiers of all local libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all local libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

global::System.Collections.Generic.List<string> vmware::content::LocalLibrary::List | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of all local libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all local libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LocalLibrary::ListAsync | ( |  | ) |

Returns the identifiers of all local libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all local libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task<global::System.Collections.Generic.List<string> > vmware::content::LocalLibrary::ListAsync | ( | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Returns the identifiers of all local libraries in the Content Library.

Exceptions:

  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: Method execution requires `System.Read` .

Returns:
  The list of identifiers of all local libraries in the Content Library. The result will contain identifiers for the resource type: `com.vmware.content.Library` .

Implemented in vmware::content::LocalLibraryStub.

void vmware::content::LocalLibrary::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the properties of a local library.

This is an incremental update to the local library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the local library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::LocalLibraryStub.

void vmware::content::LocalLibrary::Update | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  |

Updates the properties of a local library.

This is an incremental update to the local library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the local library.

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task vmware::content::LocalLibrary::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec,
|  | global::System.Action< vmware.vapi.std.Progress > | _progress,
|  | vmware.vapi.bindings.client.InvocationConfig | _invocationConfig
| ) |  |

Updates the properties of a local library.

This is an incremental update to the local library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the local library.
  _progress | Progress notification call back
  _invocationConfig | Configuration for the method invocation

Implemented in vmware::content::LocalLibraryStub.

global::System.Threading.Tasks.Task vmware::content::LocalLibrary::UpdateAsync | ( | string | libraryId,
|  | vmware.content.LibraryModel | updateSpec
| ) |  |

Updates the properties of a local library.

This is an incremental update to the local library. Fields that are null in the update specification will be left unchanged.

Exceptions:

  vmware.vapi.std.errors.NotFound | if the library specified by libraryId does not exist.
  vmware.vapi.std.errors.InvalidElementType | if the library specified by libraryId is not a local library.
  vmware.vapi.std.errors.InvalidArgument | if the updateSpec is not valid.
  vmware.vapi.std.errors.InvalidArgument | if the LibraryModel.version of updateSpec is not equal to the current version of the library.
  vmware.vapi.std.errors.Unauthorized | if you do not have all of the privileges described as follows: The resource `com.vmware.content.Library` referenced by the parameter libraryId requires `ContentLibrary.UpdateLocalLibrary` .

Parameters:

  libraryId | Identifier of the local library to update. The parameter must be an identifier for the resource type: `com.vmware.content.Library` .
  updateSpec | Specification of the new property values to set on the local library.

Implemented in vmware::content::LocalLibraryStub.

The documentation for this interface was generated from the following file:

- LocalLibrary.cs